package com.mortals.xhx.module.extend.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:ExtendHisprocinst
* date: 2021-8-30 11:43:19
*/
public class ExtendHisprocinstQuery extends ExtendHisprocinstEntity{
    private static final long serialVersionUID = 1630294999053L;
    /** 开始 菜单ID，主键，自增长 */
    private Long idStart;

    /** 结束 菜单ID，主键，自增长 */
    private Long idEnd;

    /** 增加 菜单ID，主键，自增长 */
    private Long idIncrement;

    /** 菜单ID，主键，自增长 */
    private List <Long> idList;


    /** 流程实例id */
    private List<String> processInstanceIdList;

    /**  */
    private List<String> processDefinitionIdList;

    /**  */
    private List<String> modelKeyList;

    /** 业务单据id */
    private List<String> businessKeyList;

    /** 流程状态 */
    private List<String> processStatusList;

    /** 流程表单名称 */
    private List<String> processNameList;

    /** 流程发起人 */
    private List<String> currentUserCodeList;

    /** 租户id(系统标识) */
    private List<String> tenantIdList;

    /** 创建人 */
    private List<String> createUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 更新人 */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String updateTimeStart;

    /** 结束 创建时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ExtendHisprocinstQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ExtendHisprocinstQuery> andConditionList;


    public ExtendHisprocinstQuery(){
    }

    /**
    * 获取 开始 菜单ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 菜单ID，主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 菜单ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 菜单ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 流程实例id
    * @return processInstanceIdList
    */
    public List<String> getProcessInstanceIdList(){
        return this.processInstanceIdList;
    }

    /**
    * 设置 流程实例id
    * @param processInstanceIdList
    */
    public void setProcessInstanceIdList(List<String> processInstanceIdList){
        this.processInstanceIdList = processInstanceIdList;
    }
    /**
    * 获取 
    * @return processDefinitionIdList
    */
    public List<String> getProcessDefinitionIdList(){
        return this.processDefinitionIdList;
    }

    /**
    * 设置 
    * @param processDefinitionIdList
    */
    public void setProcessDefinitionIdList(List<String> processDefinitionIdList){
        this.processDefinitionIdList = processDefinitionIdList;
    }
    /**
    * 获取 
    * @return modelKeyList
    */
    public List<String> getModelKeyList(){
        return this.modelKeyList;
    }

    /**
    * 设置 
    * @param modelKeyList
    */
    public void setModelKeyList(List<String> modelKeyList){
        this.modelKeyList = modelKeyList;
    }
    /**
    * 获取 业务单据id
    * @return businessKeyList
    */
    public List<String> getBusinessKeyList(){
        return this.businessKeyList;
    }

    /**
    * 设置 业务单据id
    * @param businessKeyList
    */
    public void setBusinessKeyList(List<String> businessKeyList){
        this.businessKeyList = businessKeyList;
    }
    /**
    * 获取 流程状态
    * @return processStatusList
    */
    public List<String> getProcessStatusList(){
        return this.processStatusList;
    }

    /**
    * 设置 流程状态
    * @param processStatusList
    */
    public void setProcessStatusList(List<String> processStatusList){
        this.processStatusList = processStatusList;
    }
    /**
    * 获取 流程表单名称
    * @return processNameList
    */
    public List<String> getProcessNameList(){
        return this.processNameList;
    }

    /**
    * 设置 流程表单名称
    * @param processNameList
    */
    public void setProcessNameList(List<String> processNameList){
        this.processNameList = processNameList;
    }
    /**
    * 获取 流程发起人
    * @return currentUserCodeList
    */
    public List<String> getCurrentUserCodeList(){
        return this.currentUserCodeList;
    }

    /**
    * 设置 流程发起人
    * @param currentUserCodeList
    */
    public void setCurrentUserCodeList(List<String> currentUserCodeList){
        this.currentUserCodeList = currentUserCodeList;
    }
    /**
    * 获取 租户id(系统标识)
    * @return tenantIdList
    */
    public List<String> getTenantIdList(){
        return this.tenantIdList;
    }

    /**
    * 设置 租户id(系统标识)
    * @param tenantIdList
    */
    public void setTenantIdList(List<String> tenantIdList){
        this.tenantIdList = tenantIdList;
    }
    /**
    * 获取 创建人
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建人
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 更新人
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 更新人
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }


	/**
    * 设置  菜单ID，主键，自增长
    * @param id
    */
    public ExtendHisprocinstQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 菜单ID，主键，自增长
    * @param idStart
    */
    public ExtendHisprocinstQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 菜单ID，主键，自增长
    * @param idEnd
    */
    public ExtendHisprocinstQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 菜单ID，主键，自增长
    * @param idIncrement
    */
    public ExtendHisprocinstQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 菜单ID，主键，自增长
    * @param idList
    */
    public ExtendHisprocinstQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 流程实例id
    * @param processInstanceId
    */
    public ExtendHisprocinstQuery processInstanceId(String processInstanceId){
        setProcessInstanceId(processInstanceId);
		return this;
    }


    /**
    * 设置 流程实例id
    * @param processInstanceIdList
    */
    public ExtendHisprocinstQuery processInstanceIdList(List<String> processInstanceIdList){
        this.processInstanceIdList = processInstanceIdList;
		return this;
    }
	/**
    * 设置 
    * @param processDefinitionId
    */
    public ExtendHisprocinstQuery processDefinitionId(String processDefinitionId){
        setProcessDefinitionId(processDefinitionId);
		return this;
    }


    /**
    * 设置 
    * @param processDefinitionIdList
    */
    public ExtendHisprocinstQuery processDefinitionIdList(List<String> processDefinitionIdList){
        this.processDefinitionIdList = processDefinitionIdList;
		return this;
    }
	/**
    * 设置 
    * @param modelKey
    */
    public ExtendHisprocinstQuery modelKey(String modelKey){
        setModelKey(modelKey);
		return this;
    }


    /**
    * 设置 
    * @param modelKeyList
    */
    public ExtendHisprocinstQuery modelKeyList(List<String> modelKeyList){
        this.modelKeyList = modelKeyList;
		return this;
    }
	/**
    * 设置 业务单据id
    * @param businessKey
    */
    public ExtendHisprocinstQuery businessKey(String businessKey){
        setBusinessKey(businessKey);
		return this;
    }


    /**
    * 设置 业务单据id
    * @param businessKeyList
    */
    public ExtendHisprocinstQuery businessKeyList(List<String> businessKeyList){
        this.businessKeyList = businessKeyList;
		return this;
    }
	/**
    * 设置 流程状态
    * @param processStatus
    */
    public ExtendHisprocinstQuery processStatus(String processStatus){
        setProcessStatus(processStatus);
		return this;
    }


    /**
    * 设置 流程状态
    * @param processStatusList
    */
    public ExtendHisprocinstQuery processStatusList(List<String> processStatusList){
        this.processStatusList = processStatusList;
		return this;
    }
	/**
    * 设置 流程表单名称
    * @param processName
    */
    public ExtendHisprocinstQuery processName(String processName){
        setProcessName(processName);
		return this;
    }


    /**
    * 设置 流程表单名称
    * @param processNameList
    */
    public ExtendHisprocinstQuery processNameList(List<String> processNameList){
        this.processNameList = processNameList;
		return this;
    }
	/**
    * 设置 流程发起人
    * @param currentUserCode
    */
    public ExtendHisprocinstQuery currentUserCode(String currentUserCode){
        setCurrentUserCode(currentUserCode);
		return this;
    }


    /**
    * 设置 流程发起人
    * @param currentUserCodeList
    */
    public ExtendHisprocinstQuery currentUserCodeList(List<String> currentUserCodeList){
        this.currentUserCodeList = currentUserCodeList;
		return this;
    }
	/**
    * 设置 租户id(系统标识)
    * @param tenantId
    */
    public ExtendHisprocinstQuery tenantId(String tenantId){
        setTenantId(tenantId);
		return this;
    }


    /**
    * 设置 租户id(系统标识)
    * @param tenantIdList
    */
    public ExtendHisprocinstQuery tenantIdList(List<String> tenantIdList){
        this.tenantIdList = tenantIdList;
		return this;
    }
	/**
    * 设置 创建人
    * @param createUser
    */
    public ExtendHisprocinstQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建人
    * @param createUserList
    */
    public ExtendHisprocinstQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public ExtendHisprocinstQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public ExtendHisprocinstQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 更新人
    * @param updateUser
    */
    public ExtendHisprocinstQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 更新人
    * @param updateUserList
    */
    public ExtendHisprocinstQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param updateTimeStart
    */
    public ExtendHisprocinstQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param updateTimeEnd
    */
    public ExtendHisprocinstQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ExtendHisprocinstQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ExtendHisprocinstQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ExtendHisprocinstQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ExtendHisprocinstQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}